scim::BoundSlot2_3< R, P1, P2, P3 > Class Template Reference
SignalSlot

Converts a slot taking three arguments into a slot taking two arguments. More...

`#include <scim_bind.h>`

## Public Member Functions

| BoundSlot2_3 (Slot3< R, P1, P2, P3 > *slot, P3 p3)
virtual R | call (P1 p1, P2 p2) const
| Calls the original slot passing it arguments p1 and p2, and the bound argument p as the last parameter.
Public Member Functions inherited from scim::Slot2< R, P1, P2 >
R | operator() (P1 p1, P2 p2) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot2< R, P1, P2 >
| Slot2 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3>
class scim::BoundSlot2_3< R, P1, P2, P3 >

Converts a slot taking three arguments into a slot taking two arguments.

## Constructor & Destructor Documentation

## BoundSlot2_3()

template<typename R, typename P1, typename P2, typename P3>

scim::BoundSlot2_3< R, P1, P2, P3 >::BoundSlot2_3 | ( | Slot3< R, P1, P2, P3 > * | slot,
|  | P3 | p3 )

inline

Constructor.

Parameters

  slot | - a pointer to a slot of type Slot1<R, P1, P2, P3>.
  p3 | - a bound argument of type P3

References scim::slot().

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3>

virtual R scim::BoundSlot2_3< R, P1, P2, P3 >::call | ( | P1 | p1,
|  | P2 | p2 ) const

inline virtual

Calls the original slot passing it arguments p1 and p2, and the bound argument p as the last parameter.

Implements scim::Slot2< R, P1, P2 >.

The documentation for this class was generated from the following file:

- scim_bind.h